module Main where

import qualified Test.Map as Map

import qualified Test.QuickCheck as QC

import Data.Tuple.HT (mapFst)


prefix :: String -> [(String, test)] -> [(String, test)]
prefix msg = map (mapFst (\str -> msg ++ "." ++ str))

main :: IO ()
main =
   mapM_ (\(msg,prop) -> putStr (msg++": ") >> QC.quickCheck prop) $
   concat $
      prefix "Map" Map.tests :
      []
